Debian Bug report logs - #416012
manpages-dev: rename(2) should say nothing happens when oldpath and newpath point to same link

version graph

Package: manpages-dev; Maintainer for manpages-dev is Martin Schulze <joey@debian.org>; Source for manpages-dev is src:manpages.

Reported by: Timo Sirainen <tss@iki.fi>

Date: Sat, 24 Mar 2007 00:24:01 UTC

Severity: normal

Tags: fixed-upstream

Found in version manpages/2.43-0

Fixed in version manpages/2.44-1

Done: Martin Schulze <joey@infodrom.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#416012; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to Timo Sirainen <tss@iki.fi>:
New Bug report received and forwarded. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Timo Sirainen <tss@iki.fi>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: manpages-dev: rename(2) should say nothing happens when oldpath and newpath point to same link
Date: Sat, 24 Mar 2007 01:46:11 +0200
Package: manpages-dev
Version: 2.43-0
Severity: normal

I think this is pretty rarely known, because neither Linux nor BSD man pages
mention it specifically. Even the ones that do mention it, talk only about
"the same existing file", which can't be clearly understood.

I think the page should contain something like:

If the oldpath and newpath refer to the same existing file (hard links of
the same file), rename() returns successfully without doing anything.

-- System Information:
Debian Release: 4.0
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.20
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)

Versions of packages manpages-dev depends on:
ii  manpages                      2.39-1     Manual pages about using a GNU/Lin

manpages-dev recommends no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#416012; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to Michael Kerrisk <mtk-manpages@gmx.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #10 received at 416012@bugs.debian.org (full text, mbox):

From: Michael Kerrisk <mtk-manpages@gmx.net>
To: Timo Sirainen <tss@iki.fi>, 416012@bugs.debian.org
Cc: debc <control@bugs.debian.org>
Subject: Re: Bug#416012: manpages-dev: rename(2) should say nothing happens when oldpath and newpath point to same link
Date: Sun, 25 Mar 2007 14:57:17 +0200
tags  416012 fixed-upstream
thanks

Timo,

> I think this is pretty rarely known, because neither Linux nor BSD man pages
> mention it specifically. Even the ones that do mention it, talk only about
> "the same existing file", which can't be clearly understood.
> 
> I think the page should contain something like:
> 
> If the oldpath and newpath refer to the same existing file (hard links of
> the same file), rename() returns successfully without doing anything.

Yes agreed.  I've added something similar to the page:

       If  oldpath and newpath are existing hard links referring
       to the same file, then rename() does nothing, and returns
       a success status.

Thanks for spotting this.  The fix will be in upstream 2.44.

Cheers,

Michael

-- 
Michael Kerrisk
maintainer of Linux man pages Sections 2, 3, 4, 5, and 7

Want to help with man page maintenance?  Grab the latest tarball at
http://www.kernel.org/pub/linux/docs/manpages/
read the HOWTOHELP file and grep the source files for 'FIXME'.



Tags added: fixed-upstream Request was from Michael Kerrisk <mtk-manpages@gmx.net> to control@bugs.debian.org. (Sun, 25 Mar 2007 13:00:07 GMT) Full text and rfc822 format available.

Reply sent to Martin Schulze <joey@infodrom.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Timo Sirainen <tss@iki.fi>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 416012-close@bugs.debian.org (full text, mbox):

From: Martin Schulze <joey@infodrom.org>
To: 416012-close@bugs.debian.org
Subject: Bug#416012: fixed in manpages 2.44-1
Date: Sun, 22 Apr 2007 17:02:05 +0000
Source: manpages
Source-Version: 2.44-1

We believe that the bug you reported is fixed in the latest version of
manpages, which is due to be installed in the Debian FTP archive:

manpages-dev_2.44-1_all.deb
  to pool/main/m/manpages/manpages-dev_2.44-1_all.deb
manpages_2.44-1.diff.gz
  to pool/main/m/manpages/manpages_2.44-1.diff.gz
manpages_2.44-1.dsc
  to pool/main/m/manpages/manpages_2.44-1.dsc
manpages_2.44-1_all.deb
  to pool/main/m/manpages/manpages_2.44-1_all.deb
manpages_2.44.orig.tar.gz
  to pool/main/m/manpages/manpages_2.44.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 416012@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Martin Schulze <joey@infodrom.org> (supplier of updated manpages package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 22 Apr 2007 18:38:34 +0200
Source: manpages
Binary: manpages manpages-dev
Architecture: source all
Version: 2.44-1
Distribution: unstable
Urgency: low
Maintainer: Martin Schulze <joey@debian.org>
Changed-By: Martin Schulze <joey@infodrom.org>
Description: 
 manpages   - Manual pages about using a GNU/Linux system
 manpages-dev - Manual pages about using GNU/Linux for development
Closes: 400971 400975 403888 411777 416012
Changes: 
 manpages (2.44-1) unstable; urgency=low
 .
   * New upstream release
     . Fix EINVAL description in mbind(2) (closes: Bug#411777)
     . Various improvements to DESCRIPTION in rename(2) (closes: Bug#416012)
     . Improved time(2) (closes: Bug#403888)
     . Improved getopt(2) (closes: Bug#bug352139)
     . Fix return type in SYNOPSIS in posix_openpt(2) (closes: Bug#400971)
     . Needs _XOPEN_SOURCE == 600 in posix_openpt(2) (closes: Bug400975)
Files: 
 e11c60f3ff3cc7b5682509dcc3a5d20a 584 doc - manpages_2.44-1.dsc
 ce67dbac96f1934b65fd87f099c39c66 1216437 doc - manpages_2.44.orig.tar.gz
 772ce538ebaa630fdbcc2d84ff4211db 53563 doc - manpages_2.44-1.diff.gz
 e48dc02ffd29653e69933a04db1c0e21 497298 doc important manpages_2.44-1_all.deb
 696cf4c78a8652e230d20efef56876aa 1235602 doc optional manpages-dev_2.44-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFGK5EzW5ql+IAeqTIRAjgzAJsEtGwz3ghmmwgHUF4qCJ5C7xit2wCglF+B
Fzi+cBPGWvvk9Cij4bibF20=
=7YWC
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 30 Jun 2007 07:29:34 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 23:39:11 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.